Worker and its components
=========================

.. automodule:: orion.core.worker
   :members:

.. toctree::
   :maxdepth: 1
   :caption: Modules

   worker/consumer
   worker/experiment
   worker/primary_algo
   worker/producer
   worker/strategy
   worker/transformer
   worker/trial
   worker/trial_pacemaker
